aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-firmware/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2015-10-21 20:31:43 +0300
committerTimo Teräs <timo.teras@iki.fi>2015-10-22 09:04:07 +0300
commit3f24b4edbe66facd45645bad861b91d92519b8d1 (patch)
tree1ca947909e31fe0f50a976a02d7dd136e0065722 /main/linux-firmware/APKBUILD
parentb4d3d275b693e05ed8a7ef39cd19969ad8d14e33 (diff)
downloadaports-3f24b4edbe66facd45645bad861b91d92519b8d1.tar.gz
aports-3f24b4edbe66facd45645bad861b91d92519b8d1.tar.bz2
aports-3f24b4edbe66facd45645bad861b91d92519b8d1.tar.xz
main/linux-firmware: upgrade to 20151021
Diffstat (limited to 'main/linux-firmware/APKBUILD')
-rw-r--r--main/linux-firmware/APKBUILD13
1 files changed, 7 insertions, 6 deletions
diff --git a/main/linux-firmware/APKBUILD b/main/linux-firmware/APKBUILD
index 9cf90646f5..0a9bb49765 100644
--- a/main/linux-firmware/APKBUILD
+++ b/main/linux-firmware/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=linux-firmware
-pkgver=20140926
+pkgver=20151021
pkgrel=0
pkgdesc="firmware files for linux"
#url="http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git;a=summary"
@@ -47,10 +47,11 @@ build() {
}
package() {
- mkdir -p ${pkgdir}/lib
- mv "${_builddir}" ${pkgdir}/lib/firmware
+ cd "${_builddir}"
+ make DESTDIR="${pkgdir}" FIRMWAREDIR="/lib/firmware" install || return 1
+ rm -f "${pkgdir}/usr/lib/firmware/{Makefile,README,configure,GPL-3}"
}
-md5sums="f1fac809f7a6240d2eefe566cf7c63d3 linux-firmware-20140926.tar.gz"
-sha256sums="81e463322a8333b53eefeb84a2c349a5e787c7c3ae54e6c70769d3591ab99bf4 linux-firmware-20140926.tar.gz"
-sha512sums="1a80a195a24062725c2fbbca09be5fe8815fbd8b0e6bfea71db4e2bfeb16bc16b2e933e114ed35ed9bfb75082fa707ca1d0efca9749733a36dd02654f0cafda2 linux-firmware-20140926.tar.gz"
+md5sums="2960b7241de622362f1ef93592ab16d4 linux-firmware-20151021.tar.gz"
+sha256sums="3f7f3a3bbe3fac608ec2ec996d2b11fa3e7cbb55f57334c11fb041169e681851 linux-firmware-20151021.tar.gz"
+sha512sums="f5639dc5fb30f0da4544e8fe42fee532cbd856bb5d08c34c400a11ec115abdb5b3e607b0fc69c8b6f165fca8b676fe63d61ea9b15acebb21f5a41c932e99a7e0 linux-firmware-20151021.tar.gz"